MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010802MediaMonkey (current)DLNA/UPnPpublic2013-04-30 21:522016-05-20 20:40
Reporterlowlander 
PriorityurgentSeverityminorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target Version4.1.12Fixed in Version4.1.12 
Summary0010802: MMW client occasionally plays few seconds of track before skipping to next
DescriptionMMW as client playing from another PC with MMW as server occasionally plays a few seconds of a track before skipping to the next. Playing the file again does play the file.
Additional InformationTicket:
WDG-915633
VNA-624-92097
TagsNo tags attached.
Fixed in build1790
Attached Files

- Relationships
related to 0009391closedLudek PS3 playback is interrupted for low kbps tracks 
related to 0010794closedlowlander FLAC playback from MMW UPnP server fails  

-  Notes
(0036045)
Ludek (developer)
2013-05-13 06:38
edited on: 2013-05-13 06:38

Wasn't this just another child of 0010803 (same as 0010794 was) ?
i.e. I see conversion involved in the log, so problably this no longer happens in 1636, could you verify?

(0036055)
lowlander (developer)
2013-05-13 12:13

It may be, although this wasn't experienced on other clients (like MMA). Also note that the problem still occurs in 1636, but it seems more rare now.
(0037400)
rusty (administrator)
2013-08-30 15:17

Martin, I can't replicate this. Can you generate a log of this without auto-conversion?
(0037422)
lowlander (developer)
2013-09-04 12:04
edited on: 2013-09-04 12:11

Disabled Auto-Conversion and Volume Leveling, using custom client Profile. The song from Randy Travis plays a few seconds and then playback skips to the next song. Logs for client and server (for both the skip is towards the end of the log) on FTP.

The list that is played on the client comes from a complex Auto-Playlist, however that shouldn't matter (it does cause another issue: 0011236)

(0037480)
Ludek (developer)
2013-09-12 07:17
edited on: 2013-09-12 07:17

I see in the logs that the song was started to read at 1825s and whole file was transfered from the server at 1830s (in 5s), but playback stopped after 13s of playback (1838s), so the problem seems to be on the client side (all file downloaded, but played only partially).

Studing further...

(0037482)
lowlander (developer)
2013-09-12 09:57

Note, that only MMW client is experiencing this. I don't see this on MMA or Sony TV. Also note that this client has custom rules in server (there was a bug in the past with custom rules). I've also seen this with the different output plugins on client.
(0037496)
Ludek (developer)
2013-09-12 17:06

I was finally also able to reproduce the issue on occassion, it appeared more often with some tracks and near after MM restart.


Fixed in build 1658.
(0037531)
lowlander (developer)
2013-09-13 16:43

This seems resolved. So far I haven't noticed a skipped file after a couple of hours of playback.
(0041489)
lowlander (developer)
2014-12-18 14:16

I'm seeing this again.
(0044509)
Ludek (developer)
2016-04-27 06:02
edited on: 2016-04-27 06:04

User from ticket ITW-855-82029 sent useful log for "xBox One" :

- 75 seconds: started to buffer the first song "Keeping The Faith.flac"
- 77 seconds: started to buffer the second "An Innocent Man.flac"
- 83 seconds: still buffering "Keeping The Faith.flac" (8.6 MB - 28%), but stoped to buffer the second song "An Innocent Man.flac" ( 8MB - 25%)
- 263 seconds: was at 95% of buffering "Keeping The Faith.flac" , but at the same time it timed out for the "An Innocent Man.flac", because it hasn't buffered for 180 seconds

So it seems that there is a 3 minutes timeout involved, studing our code it is our timeout that can be increased, similar fix as for 0009391

(0044510)
Ludek (developer)
2016-04-27 06:14
edited on: 2016-04-27 06:15

Fixed in 4.1.12.1790 (set the timeout to infinite)

(0044692)
peke (developer)
2016-05-20 20:30

Verified 1795


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker